From 26f844b6faa63c8027bbe657e2359f33b9a4c88b Mon Sep 17 00:00:00 2001
From: Kirill Isakov <is-kir@ya.ru>
Date: Sun, 25 Jul 2021 20:55:00 +0600
Subject: [PATCH] GitHub CI: fail sanitizer job if any logs were created.

---
 .github/workflows/sanitizers/run.sh | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/.github/workflows/sanitizers/run.sh b/.github/workflows/sanitizers/run.sh
index de12a2ba..c2d9dad8 100755
--- a/.github/workflows/sanitizers/run.sh
+++ b/.github/workflows/sanitizers/run.sh
@@ -26,3 +26,12 @@ esac
 
 sudo --preserve-env=ASAN_OPTIONS,TSAN_OPTIONS,UBSAN_OPTIONS \
   make check VERBOSE=1
+
+# Check that the sanitizer has not created any log files.
+# If it has, fail the job to notify the developer.
+log_count=$(find "$logs" -type f -printf . | wc -c)
+
+if [ "$log_count" != 0 ]; then
+  echo "expected zero sanitizer logs, found $log_count"
+  exit 1
+fi
-- 
2.39.5